<?php

/**
 * Custom fields and filters of post
 *
 * @package CustomFieldFilterPost
 * @version 1.1
 * @author davidhs
 * @copyright 2014 by davidhs
 * @license Creative Commons Attribution 3.0 Unported License http://creativecommons.org/licenses/by/3.0/
 */

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once (dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF'))
	exit('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

$hooks = array(
	'integrate_admin_include' => '$sourcedir/Admin-CustomFieldFilterPost.php',
	'integrate_pre_include' => '$sourcedir/Subs-CustomFieldFilterPost.php',
	'integrate_theme_include' => '$sourcedir/Themes-CustomFieldFilterPost.php',
	'integrate_actions' => 'cffp_actions',
	'integrate_load_theme' => 'cffp_load_theme',
	'integrate_menu_buttons' => 'cffp_menu_buttons',
	'integrate_profile_areas' => 'cffp_profile_areas',
	'integrate_admin_areas' => 'cffp_admin_areas',
	'integrate_modify_modifications' => 'cffp_modify_modifications',
);

if (!empty($context['uninstalling']))
	$call = 'remove_integration_function';
else
	$call = 'add_integration_function';

foreach ($hooks as $hook => $function)
	$call($hook, $function);

?>